<template>
  <div>
    <div v-if="items.length  !== 0">
      <h3 class="mb-0">{{ title }}</h3>
      <div class="fs-5 mb-2">Length: {{ length }}</div>
    </div>
    <h4 v-else> The list is empty, add the first task</h4>
    <ul class="list-group">
      <transition-group name="list" tag="li">
        <v-list-item v-for="(item,index) in items"
                     :key="index" :item="item"
                     @remove="$emit('remove',item)"
        />
      </transition-group>
    </ul>
  </div>
</template>

<script>
import VListItem from "@/components/VListItem.vue";

export default {
  name: "VList",
  components: {VListItem},
  props: {
    items: {
      type: Array,
      required: true,
    },
    title: {
      default: 'Default title'
    },

  },
  computed: {
    length() {
      return this.items.length
    }
  },
}
</script>

<style scoped>
.list-item {
  display: inline-block;
  margin-right: 10px;
}

.list-enter-active,
.list-leave-active {
  transition: all 0.5s ease;
}

.list-enter-from,
.list-leave-to {
  opacity: 0;
  transform: translateX(100px);
}
li{
  list-style: none;
}
</style>